List robots
Get a paginated list of all available robots.
/robotsGet a paginated list of all available robots.
In: cookie
Query Parameters
Pagination query parameters.
Response Body
application/json
application/json
curl -X GET "https://example.com/robots"{
"page_size": 0,
"results": 0,
"total_pages": 0,
"current_page": 0,
"next_page": 0,
"robots": [
{
"id": "cc5lnd2s1s4652adtu50",
"createdAt": "2019-08-24T14:15:22Z",
"updatedAt": "2019-08-24T14:15:22Z",
"deletedAt": "2019-08-24T14:15:22Z",
"misc": {},
"name": "string",
"description": "string",
"playbook": "string",
"model": "openai/gpt-4.1-mini",
"workspace_id": "cc5lnd2s1s4652adtu50",
"author": {
"id": "cc5lnd2s1s4652adtu50",
"joined": "2019-08-24T14:15:22Z",
"suspended": "2019-08-24T14:15:22Z",
"handle": "Southclaws",
"name": "Barnaby Keene",
"signature": "<body><p>Sent with love from London!</p></body>",
"roles": [
{
"badge": true,
"default": true,
"id": "cc5lnd2s1s4652adtu50",
"name": "string",
"colour": "string",
"meta": {}
}
]
},
"tools": [
"string"
],
"meta": {}
}
]
}{
"type": "string",
"title": "string",
"detail": "string",
"trace_id": "string",
"metadata": {}
}List robot sessions GET
Get a paginated list of Robot sessions. These are chat sessions with the Robot system. One session may span multiple Robots as members can switch which Robot they are talking to mid conversation, or the Robot itself may choose to switch to another Robot to achieve a goal. A session is a representation of an entire conversation thread with the Robot system. You may include an account ID to filter sessions by account. Only those with "USE_ROBOTS" permission can use Robots, however sessions, messages and usage is not considered hidden to other accounts with the usage permission. Robots are intended as administrative or moderation tools to be shared among the team rather than private assistants.
List robot tools GET
List all tools that may be assigned to Robots, including native Storyden tools and discovered MCP tools.